Name

UI_SECURITY_OVERRIDE — (partly documented)

SYNOPSIS

{ }

DESCRIPTION

If configured and no UI_ACCESS_TABLE found, then it will return that there is an ACL set. This would allow you to test ACLs See sub ui_acl_enabled() for more details.

StandardCatalog (catalog.cfg)VariableValues Standard catalog (catalog.cfg) Variable values

VARIABLE TYPE

Global variable

EXAMPLES

No examples are available at this time. We do consider this a problem and will try to supply some.

NOTES

AVAILABILITY

UI_SECURITY_OVERRIDE is available in Interchange versions:

4.6.0-5.7.0 (git-head)

SOURCE

Interchange 5.7.0:

Source: dist/lib/UI/Primitive.pm
Line 102 (context shows lines 92-106 in ui_acl_enabled():98)

return 1;
}

my %wrap_dest;
my $compdb;

sub ui_acl_enabled {
my $try = shift;
my $table;
$Global::SuperUserFunction = \&is_super;
my $default = defined $Global::Variable->{UI_SECURITY_OVERRIDE}
      ? $Global::Variable->{UI_SECURITY_OVERRIDE}
      : 0;
if ($Vend::superuser) {
  return $Vend::UI_entry = { super => 1 };

AUTHORS

Interchange Development Group

SEE ALSO

DocBook! Interchange!